#ifndef SCENEMANAGER_H
#define SCENEMANAGER_H

#include "IManager.h"
#include "Node.h"

namespace Salamander
{

// Keeps track of the scene graph
class SceneManager : public IManager, public Node
{
	friend class Application;

public:
	registerManager();
	virtual ~SceneManager();

protected:
	SceneManager();

	virtual bool startup();
    virtual bool shutdown();

	virtual void frame();
	virtual void assemble();

};

}

#endif // SCENEMANAGER_H
